Bug 224186 - hung on boot with message JMB361:dma_base is invalid
hung on boot with message JMB361:dma_base is invalid
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-24 10:44 EST by Murray Ingram
Modified: 2008-05-06 14:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 14:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 223418 None None None Never

  None (edit)
Description Murray Ingram 2007-01-24 10:44:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.9) Gecko/20061206 Firefox/1.5.0.9

Description of problem:
No problem with 2.6.18-1.2798.fc6.  Did yum update and with the new kernel (2.6.19-1.2895.fc6) I see the following:

Booting the kernel
ACPI getting CPU index for acpiid 0x2
ACPI getting CPU  index for acpiid 0x3

JMB 361: dma_base is invalid
JMB 361: dma_base is invalid


at the bottom of the screen it says "kernel is alive", but system does not continue to boot.
--------
This is a core2duo and a gigabyte 965P-DQ6 mobo - I can provide other hardware detail if you need it.

If I boot with the older kernel, it boots normally.

Version-Release number of selected component (if applicable):
kernel-2.6.19-1.2895.fc6

How reproducible:
Always


Steps to Reproduce:
1.New install from CD
2.congure with hostname, etc.  Start services. (smb, vsftp, etc)
3.run yum update
4.reboot to run new kernel

Actual Results:
System hangs and does not proceed to boot

Expected Results:
system should boot

Additional info:
Comment 1 Phil Knirsch 2007-01-24 11:00:46 EST
As your system works nicely with the old kernel but fails with the new this is a
kernel bug, so i'm reassigning it to kernel.

Read ya, Phil
Comment 2 Matthew Miller 2007-01-24 11:47:13 EST
This is filed against Fedora Core 3 Test 1. That's probably not intentional,
given the kernel version mentioned. What should it be?
Comment 3 Karsten Nyblad 2007-01-27 09:29:15 EST
Check it the problem can be bypassed by changing the BIOS setup as described in
bug 223418.
Comment 4 Matthew Miller 2007-04-06 11:05:36 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 5 Murray Ingram 2007-04-10 12:40:48 EDT
I'm sorry that this got tagged as fc3/4 - I had trouble making the report.  It
should be FC6.  Please note that this is with kernel-2.6.19-1.2895.fc6 and
started out as a stock fc6 install.  When the kernel was updated from the stock
release kernel to the new one (via yum), that is when the problem occured.  A
subsequent update (kernel) exhibits the same problem.  To recap,
2.6.18-1.2798.fc6  -- WORKS  (orriginal installation - still using it)
2.6.19-1.2895.fc6  -- DON'T Work
2.6.19-1.2911.6.5.fc6  -- DON'T Work
Comment 6 Matthew Miller 2007-04-10 12:43:23 EDT
Moving to FC6. Thanks.
Comment 7 Chuck Ebbert 2007-04-10 12:49:46 EDT
(In reply to comment #5)

> 2.6.18-1.2798.fc6  -- WORKS  (orriginal installation - still using it)
> 2.6.19-1.2895.fc6  -- DON'T Work
> 2.6.19-1.2911.6.5.fc6  -- DON'T Work

Can you try kernel 2.6.20-1.2943.fc6 from fedora updates testing?
Comment 8 Murray Ingram 2007-04-10 13:42:29 EDT
Tried the 2.6.20-1.fc6 i686 (hope that's the right kernel for a core2duo) and 
got different error message.  (system still hung!)  snippet follows...

blah blah.....OK, booting the kernel
jmicron_init_one:device=2363, driver_data=1
PCI:Device 0000:04:00.0 not available because of resource collisions
jmb363:dma_base is invalid
jmb363:dma_base is invalid
jmicron_init_one:device=2363, driver_data=1


No "kernel is alive" at the bottom of the screen, had to power cycle.

Hope this helps...
Comment 9 Murray Ingram 2007-04-10 13:42:51 EDT
Tried the 2.6.20-1.fc6 i686 (hope that's the right kernel for a core2duo) and 
got different error message.  (system still hung!)  snippet follows...

blah blah.....OK, booting the kernel
jmicron_init_one:device=2363, driver_data=1
PCI:Device 0000:04:00.0 not available because of resource collisions
jmb363:dma_base is invalid
jmb363:dma_base is invalid
jmicron_init_one:device=2363, driver_data=1


No "kernel is alive" at the bottom of the screen, had to power cycle.

Hope this helps...
Comment 10 Murray Ingram 2007-04-11 09:34:30 EDT
FYI, Here is the logwatch from yesterday's try at the updated kernel:

--------------------- Kernel Begin ------------------------ 

 
 WARNING:  Kernel Errors Present
    Buffer I/O error on device fd0, l ...:  2 Time(s)
    ata4.00: tag 0 cmd 0xb0 Emask 0x1 stat 0x51 err 0x4 (device error) ...:  6
Time(s)
    ata5.00: tag 0 cmd 0xb0 Emask 0x1 stat 0x51 err 0x4 (device error) ...:  6
Time(s)
    end_request: I/O error, dev fd0, sector ...:  3 Time(s)
    hda: drive_cmd: error=0x04 { DriveStat ...:  1 Time(s)
    hda: drive_cmd: status=0x51 { DriveReady SeekComplete Error } ...:  1 Time(s)
 
 ---------------------- Kernel End ------------------------- 

I don't even have a floppy drive!  (and I don't normally get hda errors, either!)
Comment 11 Bug Zapper 2008-04-04 01:43:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Bug Zapper 2008-05-06 14:09:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.